# $Revision: 1.23 $, $Date: 2006/01/20 19:07:58 $
#
# TODO: fam support is broken (it always needs running & working fam)
#
Summary:	Apache top-like display
Summary(pl):	Podobny do topa program pokazujcy prac Apache'a
Name:		apachetop
Version:	0.12.6
Release:	1
Epoch:		1
License:	BSD
Group:		Networking/Utilities
Source0:	http://www.webta.org/apachetop/%{name}-%{version}.tar.gz
# Source0-md5:	604283ac4bbbddd98fc9b1f11381657e
Patch0:		%{name}-log_location.patch
URL:		http://www.webta.org/projects/apachetop/
BuildRequires:	ncurses-devel
BuildRequires:	pcre-devel
BuildRequires:	readline-devel
BuildRequires:	adns-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A curses-based top-like display for Apache information, including
requests per second, bytes per second, most popular URLs, etc.

%description -l pl
Oparty na curses podobny do topa program pokazujcy informacje o pracy
Apache'a, wczajc w to zapytania na sekund, bajty na sekund,
najbardziej popularne URL-e, itp.

%prep
%setup -q
%patch0 -p1

sed -i -e 's#fam#fambroken#g' configure*

%build
%configure

%{__make} \
	CXX=%{__cxx} \
	CXXFLAGS="%{rpmcflags} -I/usr/include/ncurses -pthread"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apachetop.spec,v $
Revision 1.23  2006/01/20 19:07:58  arekm
- up to 0.12.6; fixes CVE-2005-2660

Revision 1.22  2005/09/17 10:44:59  arekm
- readline 5.0

Revision 1.21  2005/05/30 13:44:40  arekm
- working but ugly method for disabling fam; enable async dns

Revision 1.20  2005/05/30 13:31:29  arekm
- disable broken fam

Revision 1.19  2005/03/21 21:57:38  paszczus
- use bindir, not sbindir

Revision 1.18  2005/03/21 21:45:35  paszczus
- version 0.12.5 (there is no 0.13 version!!!)
- Epoch 1 to easy change
- release 1; STBR

Revision 1.17  2004/11/01 16:09:15  adamg
- BuildRequires: fam-devel pcre-devel readline-devel

Revision 1.16  2004/11/01 16:06:02  adamg
- updated to 0.13

Revision 1.15  2004/03/05 22:37:37  adamg
- updated to 0.12

Revision 1.14  2004/01/20 21:14:11  deejay1
- reverted my Summary(pl) change (it just sounds "funny" but it's correct)

Revision 1.13  2004/01/20 15:20:14  deejay1
- updated to 0.11

Revision 1.12  2004/01/06 10:56:58  arekm
- updated to 0.10

Revision 1.11  2004/01/01 20:50:21  adamg
- updated to 0.9b

Revision 1.10  2003/12/23 14:27:44  misi3k
- updated to 0.9

Revision 1.9  2003/11/29 11:29:52  adamg
- updated to 0.8.1

Revision 1.8  2003/11/22 21:13:19  adamg
- updated to 0.8

Revision 1.7  2003/10/18 11:20:45  blues
- release 2 - added default log location patch and cxx definition

Revision 1.6  2003/10/14 14:12:25  adamg
- updated to 0.7
- removed todo (bz2 sources? where are these? there are only .gz)

Revision 1.5  2003/10/05 20:37:36  adamg
- updated to 0.6
- make use of %%configure and %%make install DESTDIR=
- updated %%doc
- added apachetop manpage
- apachetop binary now in %%{_sbindir}

Revision 1.4  2003/10/02 18:47:37  adamg
- updated to 0.5

Revision 1.3  2003/10/02 15:00:13  qboosh
- fixed Group and URL

Revision 1.2  2003/10/01 12:41:00  ankry
- fixed pl

Revision 1.1  2003/09/30 23:55:16  undefine
- initial pld version
